relationships.custom_feed links a goal to the Web Visits custom feed listing the companies with a page view meeting it, and a custom feed's advanced_filters can filter on the goal field with a goal's id.web_visits:read OAuth2 scope.X-Api-Key: ********************curl --location 'https://api.leadfeeder.com/v1/web-visits/goals?account_id=123456' \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"attributes": {
"created_at": "2026-10-01T10:00:00.000Z",
"criterion": {
"field": "page_url",
"operator": "contains",
"value": "/pricing"
},
"enabled": true,
"name": "Pricing page",
"updated_at": "2026-10-02T11:00:00.000Z"
},
"id": "4182",
"relationships": {
"custom_feed": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "custom_feed"
}
},
"type": "goal"
},
{
"attributes": {
"created_at": "2026-10-03T08:30:00.000Z",
"criterion": {
"field": "form_submit",
"operator": "is_present",
"value": null
},
"enabled": false,
"name": "Any form",
"updated_at": "2026-10-03T08:30:00.000Z"
},
"id": "4183",
"relationships": {
"custom_feed": null
},
"type": "goal"
}
],
"meta": {
"request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}